InvalidApplicationMasterRequestException (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.exceptions, class: InvalidApplicationMasterRequestException

Package org.apache.hadoop.yarn.exceptions

# Class InvalidApplicationMasterRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.hadoop.yarn.exceptions.YarnException
org.apache.hadoop.yarn.exceptions.InvalidApplicationMasterRequestException

All Implemented Interfaces:
  `Serializable`

public class InvalidApplicationMasterRequestException extends YarnException
This exception is thrown when an ApplicationMaster asks for resources by calling `ApplicationMasterProtocol.allocate(AllocateRequest)` without first registering by calling `ApplicationMasterProtocol.registerApplicationMaster(RegisterApplicationMasterRequest)` or if it tries to register more than once.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidApplicationMasterRequestException(String message)`
  `InvalidApplicationMasterRequestException(String message, Throwable cause)`
  `InvalidApplicationMasterRequestException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidApplicationMasterRequestException

    public InvalidApplicationMasterRequestException(Throwable cause)

  - ### InvalidApplicationMasterRequestException

    public InvalidApplicationMasterRequestException(String message)

  - ### InvalidApplicationMasterRequestException

    public InvalidApplicationMasterRequestException(String message, Throwable cause)